<div class="p-grid" class="forum-component">

    <div class="p-col-12" *ngIf="!loadingForum">
        <p-card styleClass="forum-card">
            <div class="p-grid p-align-center">
                <div class="p-col-12 p-xl-10 p-align-center">
                    <div class="forum-title">
                        <em class="pi pi-lock" *ngIf="forum.locked"
                            tooltipPosition="top"
                            [pTooltip]="lang.getLocked()"></em>
                        <em class="pi pi-lock-open" *ngIf="!forum.locked"
                            tooltipPosition="top"
                            [pTooltip]="lang.getUnlocked()"></em>
                        {{ forum?.name }}
                    </div>
                    <div class="forum-description">
                        {{ forum?.description }}
                    </div>
                </div>
                <div class="p-col-12 p-xl-2 p-align-center text-right" *ngIf="canEditForum()">
                    <button pButton class="p-button-secondary p-button-raised" [pTooltip]="lang.getEditForum()"
                            tooltipPosition="left" icon="pi pi-pencil"
                            (click)="editForum()"></button>
                </div>
            </div>
        </p-card>
    </div>

    <div class="p-col-12" *ngIf="!util.blockedUI">

        <p-card styleClass="topics-list-card">
            <div class="topic-card-header">
                <div class="topic-card-header-fog">
                    <div class="p-grid p-align-center p-justify-end">
                        <div *ngIf="canCreateTopic()" class="p-col-12 p-md-3 p-lg-2 p-xl-2">
                            <button pButton [label]="lang.getCreateTopic()" type="button"
                                    [routerLink]="['/topics/topic/new', forum.slug]"
                                    class="p-button-secondary p-button-raised"></button>
                        </div>
                        <div class="p-col-12 p-md-3 p-lg-2 p-xl-2">
                            <p-splitButton [label]="lang.getFilter()" icon="pi pi-search"
                                           styleClass="p-button-raised p-button-secondary"
                                           [model]="filters"></p-splitButton>
                        </div>
                    </div>
                </div>
            </div>

            <div *ngIf="loadingForum" class="p-col-12 text-center"
                 [style]="{padding: '6rem 0'}">
                <p-progressSpinner [style]="{width: '4rem', height: '4rem'}"></p-progressSpinner>
                <div>
                    {{ lang.getLoading() }} {{ lang.getTopics().toLowerCase() }}...
                </div>
            </div>
            <div class="p-grid p-align-center"
                 *ngIf="!loadingForum && isForumEmpty()" [style]="{ padding: '1rem' }">
                <div class="p-col-12">
                    <h3>{{ lang.getEmptyTopics() }}</h3>
                </div>
            </div>

            <div *ngFor="let topic of topics" class="topic-container">
                <div class="p-grid p-align-center">
                    <div class="p-col-12 p-xl-6">
                        <a [routerLink]="['/topics/topic', topic?.slug]">
                            <div class="topic-name">{{ topic?.name }}</div>
                            <div class="topic-author">
                                {{ lang.getBy() }} {{ topic?.user?.name }},
                                {{ topic?.createDate | date: lang.getDateFormat() }}
                            </div>
                        </a>
                    </div>
                    <div class="p-col-12 p-xl-2 text-right">
                        <div class="total-replies">{{ topic?.replies?.length || 0 }} {{ lang.getReplies() }}</div>
                        <div class="total-views">{{ topic?.views }} {{lang.getViews()}}</div>
                    </div>
                    <div class="p-col-12 p-xl-4">
                        <div class="p-grid p-align-center">
                            <div class="p-col-fixed text-center"
                                 [style]="{ width: '4rem', height: '4rem', padding: '0.6rem 0' }">
                                <img [src]="trustImage(topic.user.profilePicture)"
                                     [style]="{ width: '3rem', height: '3rem' }">
                            </div>
                            <div class="p-col">
                                <div class="topic-name-small">{{ topic?.name }}</div>
                                <div class="topic-author-small">
                                    {{ lang.getBy() }} {{ topic?.user?.name }},
                                    {{ topic?.createDate | date: lang.getDateFormat() }}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="topic-card-footer">
                <div class="topic-card-footer-fog">
                    <div class="p-grid p-align-center p-justify-center">
                        <div class="p-col-12 p-md-3 p-lg-2 p-xl-2">
                            <button pButton [label]="lang.getCreateTopic()" type="button"
                                    [routerLink]="['/topics/topic/new', forum.slug]"
                                    class="p-button-secondary p-button-raised"
                                    *ngIf="canCreateTopic()"></button>
                        </div>
                        <div class="p-col-12 p-md-6 p-lg-8 p-xl-8">
                            <p-paginator *ngIf="total > topics.length" [rows]="rows" [totalRecords]="total"
                                         (onPageChange)="paginator($event)"></p-paginator>
                        </div>
                        <div class="p-col-12 p-md-3 p-lg-2 p-xl-2">
                            <p-splitButton [label]="lang.getFilter()" icon="pi pi-search"
                                           styleClass="p-button-raised p-button-secondary"
                                           [model]="filters"></p-splitButton>
                        </div>
                    </div>
                </div>
            </div>

        </p-card>
    </div>

</div>

<app-create-forum #createForum
                  (forumCreated)="reloadForum($event)">
</app-create-forum>
